Subject: Re: linux-next: Tree for Oct 15

From: Guenter Roeck <[email-masked]>
Date: Mon, 15 Oct 2018 15:28:22 -0700

On Mon, Oct 15, 2018 at 05:13:08PM -0500, Rob Herring wrote:
> On Mon, Oct 15, 2018 at 5:10 PM Guenter Roeck <[email-masked]> wrote:
> >
> > On Mon, Oct 15, 2018 at 04:48:27PM -0500, Rob Herring wrote:
> > > On Mon, Oct 15, 2018 at 4:18 PM Guenter Roeck <[email-masked]> wrote:
> > > >
> > > > On Mon, Oct 15, 2018 at 03:35:12PM -0500, Rob Herring wrote:
> > > > > On Mon, Oct 15, 2018 at 3:12 PM Stephen Rothwell <[email-masked]> wrote:
> > > > > >
> > > > > > Hi Guenter,
> > > > > >
> > > > > > [Just cc'ing the PPC and devicetree folks]
> > > > > >
> > > > > > On Mon, 15 Oct 2018 11:26:37 -0700 Guenter Roeck <[email-masked]> wrote:
> > > > > > >
> > > > > > > On Mon, Oct 15, 2018 at 07:25:46PM +1100, Stephen Rothwell wrote:
> > > > > > > >
> > > > > > > > My qemu boots of a powerpc pseries_le_defconfig kernel failed today.
> > > > > > >
> > > > > > > Same here. Interestingly, this only affects little endian pseries
> > > > > > > boots; big endian works fine. I'll try to bisect later.
> > > > > > >
> > > > > > > ALl ppc qemu tests (including big endian pseries) also generate a warning.
> > > > > > >
> > > > > > > WARNING: CPU: 0 PID: 0 at mm/memblock.c:1301 .memblock_alloc_range_nid+0x20/0x68
> > > > > > > Modules linked in:
> > > > > > > CPU: 0 PID: 0 Comm: swapper Not tainted 4.19.0-rc7-next-20181015 #1
> > > > > > > NIP:  c000000000f99198 LR: c000000000f99490 CTR: c000000000bb8364
> > > > > > > REGS: c000000001217a78 TRAP: 0700   Not tainted  (4.19.0-rc7-next-20181015)
> > > > > > > MSR:  0000000080021000 <CE,ME>  CR: 24000422  XER: 20000000
> > > > > > > IRQMASK: 1
> > > > > > > GPR00: c000000000f99490 c000000001217d00 c00000000121a500 00000000000000c0
> > > > > > > GPR04: 0000000000000000 0000000000000000 0000000000000000 ffffffffffffffff
> > > > > > > GPR08: 0000000000000000 00000000000000c0 0000000000000018 00000000000000b7
> > > > > > > GPR12: 0000000000000040 c000000000fe7840 0000000000000000 0000000000000000
> > > > > > > GPR16: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
> > > > > > > GPR20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
> > > > > > > GPR24: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
> > > > > > > GPR28: c000000000000304 c000000001262088 00000000000000c0 c000000000fea500
> > > > > > > NIP [c000000000f99198] .memblock_alloc_range_nid+0x20/0x68
> > > > > > > LR [c000000000f99490] .memblock_alloc_base+0x18/0x48
> > > > > > > Call Trace:
> > > > > > > [c000000001217d00] [c000000002a00000] 0xc000000002a00000 (unreliable)
> > > > > > > [c000000001217d80] [c000000000f99490] .memblock_alloc_base+0x18/0x48
> > > > > > > [c000000001217df0] [c000000000f7a274] .allocate_paca_ptrs+0x3c/0x74
> > > > > > > [c000000001217e70] [c000000000f78bf0] .early_init_devtree+0x288/0x320
> > > > > > > [c000000001217f10] [c000000000f79b6c] .early_setup+0x80/0x130
> > > > > > > [c000000001217f90] [c000000000000528] start_here_multiplatform+0x68/0x80
> > > > > > >
> > > > > > >
> > > > > > > sparc images crash, starting with next-20181009. Bisect with
> > > > > > > next-201810112 points to the merge of devicetree/for-next, though
> > > > > > > devicetree/for-next itself does not have the problem (bisect log
> > > > > > > attached below). The crash is in devicetree code.
> > > > > > >
> > > > > > > Crash logs:
> > > > > > > https://kerneltests.org/builders/qemu-sparc64-next/builds/981/steps/qemubuildcommand_1/logs/stdio
> > > > > > > https://kerneltests.org/builders/qemu-sparc-next/builds/975/steps/qemubuildcommand_1/logs/stdio
> > > > >
> > > > > The sparc crash appears to be related to changes I made. Looking into it.
> > > > >
> > > >
> > > > Let me know if you need me to test anything or do some debugging.
> > >
> > > Well, I'm not having any luck getting sparc qemu to work. Here's what
> > > I'm trying with a sparc32_defconfig kernel:
> > >
> > > $ qemu-system-sparc -kernel .build-sparc/vmlinux -M SS-4 -nographic -m
> > > 256 -no-reboot
> > > rom: requested regions overlap (rom phdr #0: .build-sparc/vmlinux.
> > > free=0x000000000000057a, addr=0x0000000000000000)
> > > qemu-system-sparc: rom check and register reset failed
> > >
> >
> > What is your qemu version ?
> 
> 2.11 from ubuntu 18.04:
> QEMU emulator version 2.11.1(Debian 1:2.11+dfsg-1ubuntu7.5)
> 

This works for me:

qemu-system-sparc -M SS-4 -kernel arch/sparc/boot/zImage -no-reboot \
	-drive file=hda.sqf,if=scsi,format=raw \
	-append 'root=/dev/sda rw init=/sbin/init.sh panic=1 console=ttyS0' \
	-nographic -monitor none

arch/sparc/boot/image works as well.

This is with qemu 2.5 (from Ubuntu 16.04). I'll try with 2.11 tonight.
My current private version is based on qemu 3.0.

Guenter